# Form implementation generated from reading ui file 'src/eric7/UI/FindFileFiltersEditDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_FindFileFiltersEditDialog(object):
    def setupUi(self, FindFileFiltersEditDialog):
        FindFileFiltersEditDialog.setObjectName("FindFileFiltersEditDialog")
        FindFileFiltersEditDialog.resize(700, 600)
        FindFileFiltersEditDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(FindFileFiltersEditDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.addFileFilterButton = QtWidgets.QPushButton(parent=FindFileFiltersEditDialog)
        self.addFileFilterButton.setObjectName("addFileFilterButton")
        self.gridLayout.addWidget(self.addFileFilterButton, 0, 1, 1, 1)
        self.editFileFilterButton = QtWidgets.QPushButton(parent=FindFileFiltersEditDialog)
        self.editFileFilterButton.setEnabled(False)
        self.editFileFilterButton.setObjectName("editFileFilterButton")
        self.gridLayout.addWidget(self.editFileFilterButton, 1, 1, 1, 1)
        self.deleteFileFilterButton = QtWidgets.QPushButton(parent=FindFileFiltersEditDialog)
        self.deleteFileFilterButton.setEnabled(False)
        self.deleteFileFilterButton.setObjectName("deleteFileFilterButton")
        self.gridLayout.addWidget(self.deleteFileFilterButton, 2, 1, 1, 1)
        self.line = QtWidgets.QFrame(parent=FindFileFiltersEditDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.gridLayout.addWidget(self.line, 3, 1, 1, 1)
        self.defaultFiltersButton = QtWidgets.QPushButton(parent=FindFileFiltersEditDialog)
        self.defaultFiltersButton.setObjectName("defaultFiltersButton")
        self.gridLayout.addWidget(self.defaultFiltersButton, 4, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(20, 415, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout.addItem(spacerItem, 5, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=FindFileFiltersEditDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 6, 0, 1, 2)
        self.fileFiltersList = QtWidgets.QTreeWidget(parent=FindFileFiltersEditDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.fileFiltersList.sizePolicy().hasHeightForWidth())
        self.fileFiltersList.setSizePolicy(sizePolicy)
        self.fileFiltersList.setMinimumSize(QtCore.QSize(0, 200))
        self.fileFiltersList.setEditTriggers(QtWidgets.QAbstractItemView.EditTrigger.NoEditTriggers)
        self.fileFiltersList.setAlternatingRowColors(True)
        self.fileFiltersList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.fileFiltersList.setRootIsDecorated(False)
        self.fileFiltersList.setItemsExpandable(False)
        self.fileFiltersList.setObjectName("fileFiltersList")
        self.gridLayout.addWidget(self.fileFiltersList, 0, 0, 6, 1)

        self.retranslateUi(FindFileFiltersEditDialog)
        self.buttonBox.accepted.connect(FindFileFiltersEditDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(FindFileFiltersEditDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(FindFileFiltersEditDialog)
        FindFileFiltersEditDialog.setTabOrder(self.fileFiltersList, self.addFileFilterButton)
        FindFileFiltersEditDialog.setTabOrder(self.addFileFilterButton, self.editFileFilterButton)
        FindFileFiltersEditDialog.setTabOrder(self.editFileFilterButton, self.deleteFileFilterButton)
        FindFileFiltersEditDialog.setTabOrder(self.deleteFileFilterButton, self.defaultFiltersButton)

    def retranslateUi(self, FindFileFiltersEditDialog):
        _translate = QtCore.QCoreApplication.translate
        FindFileFiltersEditDialog.setWindowTitle(_translate("FindFileFiltersEditDialog", "Edit File Filters"))
        self.addFileFilterButton.setToolTip(_translate("FindFileFiltersEditDialog", "Press to open a dialog to enter the filter name and pattern for a new entry."))
        self.addFileFilterButton.setText(_translate("FindFileFiltersEditDialog", "Add..."))
        self.editFileFilterButton.setToolTip(_translate("FindFileFiltersEditDialog", "Press to edit the selected file filter entry."))
        self.editFileFilterButton.setText(_translate("FindFileFiltersEditDialog", "Edit..."))
        self.deleteFileFilterButton.setToolTip(_translate("FindFileFiltersEditDialog", "Press to delete the selected entries."))
        self.deleteFileFilterButton.setText(_translate("FindFileFiltersEditDialog", "Delete"))
        self.defaultFiltersButton.setToolTip(_translate("FindFileFiltersEditDialog", "Press to create a default list of entries based on the supported file types."))
        self.defaultFiltersButton.setText(_translate("FindFileFiltersEditDialog", "Default"))
        self.fileFiltersList.setSortingEnabled(True)
        self.fileFiltersList.headerItem().setText(0, _translate("FindFileFiltersEditDialog", "Name"))
        self.fileFiltersList.headerItem().setText(1, _translate("FindFileFiltersEditDialog", "Pattern"))
